#
# spec file for package rsstail
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rsstail
Version:        2.1
Release:        bp156.3.5
Summary:        RSS Feed Reader
License:        GPL-2.0
Group:          Productivity/Networking/Web/Utilities
Url:            http://www.vanheusden.com/rsstail/
Source:         http://www.vanheusden.com/rsstail/rsstail-%{version}.tgz
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libiconv_hook-devel
BuildRequires:  libmrss-devel >= 0.16
BuildRequires:  make

%description
RSSTail is more or less an RSS reader: it monitors an RSS feed and if it
detects a new entry, it will emit only that new entry.

%prep
%setup -q

%build
make %{?_smp_mflags} DEBUG="-g %{optflags}" CC="gcc"

%install
install -D -m 0755 rsstail %{buildroot}%{_bindir}/rsstail
install -D -m 0644 -t %{buildroot}%{_mandir}/man1 rsstail.1

%files
%doc README.md
%license license.txt
%{_bindir}/rsstail
%{_mandir}/man1/rsstail.1*

%changelog
* Sun Dec 24 2017 sebix+novell.com@sebix.at
- run spec-cleaner
- update to version 2.1
  * No changelog was made available.
* Thu Mar 23 2017 jengelh@inai.de
- Rectify inconsistent grammar in description
- Drop %%__-type macro indirections
* Fri Dec 30 2016 sebix+novell.com@sebix.at
- fix specfile using spec-cleaner
- fix license, it's GPL-2.0
- include manpage
* Tue Sep 27 2011 pascal.bleser@opensuse.org
- update to 1.8:
  * adds reverse-order output
* Wed Feb 17 2010 pascal.bleser@opensuse.org
- update to 1.6:
  * authentication support for RSS feeds behind websites with
    authentication has been added
* Mon Dec 22 2008 guru@unixtech.be
- update to 1.5
* Fri Dec 14 2007 guru@unixtech.be
- new upstream version
- moved to openSUSE Build Service
* Sat May  5 2007 guru@unixtech.be
- new upstream version
* Mon Jan 15 2007 guru@unixtech.be
- new upstream version
* Fri Dec 29 2006 guru@unixtech.be
- rebuild against libmrss 0.16
* Mon Dec  4 2006 guru@unixtech.be
- new package
